import java.io. *;

class Dcalc {
  public static void main(String args[]){

	InputStreamReader iar = new InputStreamReader(System.in);
	BufferedReader br = new BufferedReader(iar);

	System.out.println("ディレイタイム計算プログラム");
	System.out.print("BPM値を入力してください。(20～300まで計算できます。):");

	try {

		String kb = br.readLine();

		float val1 = 0;  /* 入力BPM値　初期化 */
		val1 = Float.parseFloat(kb);

		if ( val1 > 300 ){
			System.out.println("入力可能なBPM値は20以上 300未満です。");
			System.exit(0);
		}

		if ( val1 < 20 ){
			System.out.println("入力可能なBPM値は20以上 300未満です。");
			System.exit(0);
		}


		System.out.println("入力されたBPM値は " + val1 + " です");  /* BPM値表示 */

		System.out.println("");

		System.out.print("　　　４分音符は　「");  /* 音符 */
		System.out.print((60 / val1) *1000);
		System.out.println("ミリ秒」　です");

		System.out.print("　　　８分音符は　「");
		System.out.print((60 / (val1 * 2)) *1000);
		System.out.println("ミリ秒」　です");

		System.out.print("　　１６分音符は　「");
		System.out.print((60 / (val1 * 4)) *1000);
		System.out.println("ミリ秒」　です");

		System.out.print("　　３２分音符は　「");
		System.out.print((60 / (val1 * 8)) *1000);
		System.out.println("ミリ秒」　です");

		System.out.println("");

		System.out.print("符点　４分音符は　「");  /* 符点音符 */
		System.out.print(((60 / val1) + (60 / (val1 * 2))) *1000);
		System.out.println("ミリ秒」　です");

		System.out.print("符点　８分音符は　「");
		System.out.print(((60 / (val1 * 2)) + (60 / (val1 * 4))) *1000);
		System.out.println("ミリ秒」　です");

		System.out.print("符点１６分音符は　「");
		System.out.print(((60 / (val1 * 4)) + (60 / (val1 * 8))) *1000);
		System.out.println("ミリ秒」　です");

		System.out.print("符点３２分音符は　「");
		System.out.print(((60 / (val1 * 8)) + (60 / (val1 * 16))) *1000);
		System.out.println("ミリ秒」　です");

		System.out.println("");

		System.out.print("  4分音符3連符は　「");  /* 3連符 */
		System.out.print((((60 / val1) *1000) /3) *2);
		System.out.println("ミリ秒」　です");

		System.out.print("  8分音符3連符は　「");
		System.out.print(((60 / val1) *1000) /3);
		System.out.println("ミリ秒」　です");

		System.out.print(" 16分音符3連符は　「");
		System.out.print(((60 / (val1 * 2)) *1000) /3);
		System.out.println("ミリ秒」　です");

		System.out.print(" 32分音符3連符は　「");
		System.out.print(((60 / (val1 * 4)) *1000) /3);
		System.out.println("ミリ秒」　です");

		System.out.println("");

	} catch (IOException e) {
		System.out.println("数値を入力してください。");
	} catch (NumberFormatException e) {
		System.out.println("数値を入力してください。");
	}
  }
}


